//全局变量当前验证控件
var control;
//验证结果
var valodatorresult;
//验证提示信息
var message="";
//验证失败焦点控件
var setdefaultcontrol

var cuertentvalodator;


///设置验证
function GetValidatorResult(obj, result)
{
    control = obj;
    valodatorresult = result;
    if(result)
         cuertentvalodator = true;
}
///设置验证失败后焦点控件
function SetDefaultControl(obj)
{    
   if(setdefaultcontrol == null)
        setdefaultcontrol = $(obj);
}

///得到验证失败后焦点控件
function GetDefaultControl()
{
    setdefaultcontrol.focus();
    setdefaultcontrol= null;
}

///得到表单验证提示信息
function GetValidatorMessage()
{
    if(message != "")
    {
        alert(message);
        message = "";
        GetDefaultControl();
        return false;
    }
    else
        return true;
}
jQuery.fn.RemoveErrCss=function() {   
    $(this).bind("blur",function(e){
        if ($.trim($(this).val()) != "")
        {
            if((valodatorresult && cuertentvalodator) || (valodatorresult == null && cuertentvalodator == null) )
                $(this).removeClass("errorStyle");  
        }
    });
}

jQuery.fn.RemoveDropdownListErrCss=function() {   
    $(this).bind("blur",function(e){
        var va = ($(this).attr("value"));
        if (va != '0' && va != "")
        {
            if((valodatorresult && cuertentvalodator) || (valodatorresult == null && cuertentvalodator == null) )
                $(this).removeClass("errorStyle");  
        }
    });
}


///提交表单时验证不为空
function ValidatorEmpty(obj, mess)
{
    if ($.trim($(obj).val()) == "")
    {         
         if(message == "")
            message += "【"+mess+"】不能为空！";                        
         else
            message += "\r\n【"+mess+"】不能为空！"; 
	     $(obj).addClass("errorStyle");  
	     SetDefaultControl(obj);
	     obj.RemoveErrCss();
	 }
	 else
	    $(obj).removeClass("errorStyle");  
}

//提交时验证下拉控件不能为空
function ValidateDropdownList(obj, mess){
    //var va = $.trim($(obj).val());
    var va = ($(obj).attr("value"));
    if(va == null || va == '0' || va == "")
    {
         if(message == "")
            message += "【"+mess+"】不能为空！";                        
         else
            message += "\r\n【"+mess+"】不能为空！"; 
	     $(obj).addClass("errorStyle");  
	     SetDefaultControl(obj);   
	     obj.RemoveDropdownListErrCss(); 
    }
    else
	    $(obj).removeClass("errorStyle");
}

///提交时验证单选按钮不能为空
function ValidateRadioButtonList(obj, filedName) {
    $items = $(obj).find(":radio");
    var flag = false;
    for (var i = 0; i < $items.length; i++) {
        if ($items[i].checked) {
            $(obj).removeClass("errorStyle");
            flag = true;
            break;
        }
    }
    if (!flag) {
        if (message == "")
            message += '【' + filedName + '】不能为空';
        else
            message += '\r\n【' + filedName + '】不能为空';
        $(obj).addClass("errorStyle");
        SetDefaultControl(obj);
    }
}

///是否允许验证
function CanValidotor(obj)
{
    if((control != obj && valodatorresult == true) || control == null ||
		        (control == obj && valodatorresult == false) || (control == obj && cuertentvalodator == true)  )
        return true;
    else
        return false;
}
